Subject: Re: What's cooking in git.git (May 2024, #08; Mon, 20)

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 May 2024 09:20:55 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Mon, May 20, 2024 at 04:55:26PM -0700, Junio C Hamano wrote:
>> * ps/refs-without-the-repository-updates (2024-05-17) 17 commits
>>  ...
>>  Further clean-up the refs subsystem to stop relying on
>>  the_repository, and instead use the repository associated to the
>>  ref_store object.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> We've waited a couple more days now, and there was no additional
> feedback so far. I'm happy for this to be merged down.
>
>> * ps/reftable-reusable-iterator (2024-05-13) 13 commits
>> ...
>> 
>>  Code clean-up to make the reftable iterator closer to be reusable.
>> 
>>  Comments?
>>  source: <[email-masked]>
>
> There was a round of reviews by Justin on this one, which I've addressed
> in v2 and which was acked by him. I'll try to rope in more reviewers
> internally to get this over the finish line, but I'd also highly
> appreciate any GitLab-external reviews here.

Yeah, it was just me who didn't go back to the thread and update the
topic state.  I think this one is in good enough shape to be merged
down.

>> * ps/reftable-write-options (2024-05-13) 11 commits
>> ...
>> 
>>  The knobs to tweak how reftable files are written have been made
>>  available as configuration variables.
>> 
>>  Comments?
>>  source: <[email-masked]>
>
> Same here, I'll try to rope in additional reviewers.

Ditto. 

FYI, the ones labeled as "Will merge to 'next'?" and "Comments?"
were often already read by me and I found nothing that needs further
comments by myself.  The latter tends to be topics I am less sure
about (not about implementation, but assumptions and use cases the
topic is based on) than the former.